﻿using System.Security.Cryptography;
using System.Text;

namespace Metrolog_API.Static
{
	public static class RandomStringGeneratorStatic
	{
		public static string GenerateRandomString(int length = 64)
		{
			string chars = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
			var stringBuilder = new StringBuilder();
			var randomBytes = new byte[length];

			using (var rng = RandomNumberGenerator.Create())
			{
				rng.GetBytes(randomBytes);
			}

			for (int i = 0; i < length; i++)
			{
				stringBuilder.Append(chars[randomBytes[i] % chars.Length]);
			}

			return stringBuilder.ToString();
		}
	}
}
